%define module_name	truecrypt
%define module_release	alt1
%define module_version	4.3a

%define kversion	2.6.18
%define krelease	alt2.M40.5
%define flavour		ovz-rhel

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	Linux %{module_name} kernel modules for truecrypt
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release.132626.2.M40.5
License:	GPL
Group:		System/Kernel and hardware
ExclusiveOS:	Linux
URL:		http://www.%module_name.org
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease

# http://kanotix.com/index.php?module=pnWikka&tag=TruecryptMounter
Patch: Dm-target.c_2.6.18+2.6.19rc2.diff

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

%description
%module_name module for Linux kernel.


%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
pushd Linux/Kernel
#%%patch -p0
popd

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
cd Linux/Kernel
%make_build CC=gcc-$GCC_VERSION KERNEL_SRC=%_usrsrc/linux-%kversion-%flavour/


%install
install -pD -m 0644 Linux/Kernel/%module_name.ko %buildroot%module_dir/%module_name.ko


%post
%post_kernel_modules %kversion-%flavour-%krelease


%postun
%postun_kernel_modules %kversion-%flavour-%krelease


%files
%module_dir


%changelog
* Thu Aug 27 2009 Anton Protopopov <aspsk@altlinux.org> 4.3a-alt1.132626.2.M40.5
- Build for kernel-image-ovz-rhel-2.6.18-alt2.M40.5.

* Wed Aug 08 2007 L.A. Kostis <lakostis@altlinux.ru> 4.3a-alt1
- 4.3a.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 4.2a-alt3
- Removed unneeded "Prereq: modutils".

* Sat Dec 09 2006 L.A. Kostis <lakostis@altlinux.ru> 4.2a-alt2
- Fix compile on 2.6.18+ kernels.
- Add Packager.

* Fri Sep 22 2006 Led <led@altlinux.ru> 4.2a-alt1
- initial build
